## rtpklvdepay rtpklvdepay |

## Types and Values

struct | GstRtpKlvDepay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpKlvDepay

## Description

Extract KLV metadata from RTP packets according to RFC 6597. For detailed information see: http://tools.ietf.org/html/rfc6597

### Example pipeline

    1
    gst-launch-1.0 udpsrc caps='application/x-rtp, media=(string)application, clock-rate=(int)90000, encoding-name=(string)SMPTE336M' ! rtpklvdepay ! fakesink dump=true

This example pipeline will depayload an RTP KLV stream and display a hexdump of the KLV data on stdout.

## Synopsis

### Element Information

plugin | rtp
author | Tim-Philipp Müller <tim@centricular.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)application, clock-rate=(int)[ 1, 2147483647 ], encoding-name=(string)SMPTE336M

name | src
direction | source
presence | always
details | meta/x-klv, parsed=(boolean)true

## Functions

## Types and Values

### struct GstRtpKlvDepay

    struct GstRtpKlvDepay;

## See Also

rtpklvpay